View Issue Details

IDProjectCategoryView StatusLast Update
0000047Siril[All Projects] Sirilpublic2018-05-18 01:13
ReportervinvinAssigned Tovinvin 
PrioritylowSeveritytweakReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version0.9.0 
Target Version1.0.0Fixed in Version0.9.0 
Summary0000047: Multi-CC configure
DescriptionClang does not use the -export-dynamic option and it has to be replaced by something else. We need to detect which compiler option to use for this purpose.
Also, OpenMP libraries are missing in the link command.
TagsNo tags attached.

Relationships

related to 0000097 closedvinvin Siril crashes with "Memory fault" 

Activities

vinvin

2015-07-15 22:34

administrator   ~0000049

Problem is not fixed for Mac OS X g++.

lock42

2015-07-17 08:03

administrator   ~0000052

Commit 931 fixed the bug for Max OS X.

vinvin

2015-09-11 20:06

administrator   ~0000113

I confirm that we have a working solution now, as documented on the install page.
However, I don't understand why we cannot link with gcc or g++ on FreeBSD and how we could prevent the -lgomp on this system with gcc as CC and clang as LD. So I leave the issue open for future improvements, but it's currently alright for a first release I guess.

Related Changesets

Siril: / r929

2015-07-15 20:12:36

vinvin

Details
Fixing 0000047. It needs to be verified on all our systems, but it's at least working with FreeBSD with GCC and clang and with debian+linux and gcc.
Affected Issues
0000047
mod - /configure.ac
mod - /src/Makefile.am

Siril: / r931

2015-07-16 02:20:59

vinvin

Details
A different take at issue 0000047, configure stuff for Darwin linker.
Affected Issues
0000047
mod - /configure.ac
mod - /src/Makefile.am

Issue History

Date Modified Username Field Change
2015-07-15 19:37 vinvin New Issue
2015-07-15 19:37 vinvin Status new => assigned
2015-07-15 19:37 vinvin Assigned To => vinvin
2015-07-15 20:13 vinvin Changeset attached => Siril / r929
2015-07-15 20:13 vinvin Status assigned => resolved
2015-07-15 20:13 vinvin Fixed in Version => 0.9.0rc2
2015-07-15 20:13 vinvin Resolution open => fixed
2015-07-15 22:34 vinvin Note Added: 0000049
2015-07-15 22:34 vinvin Status resolved => feedback
2015-07-15 22:34 vinvin Resolution fixed => reopened
2015-07-15 23:07 vinvin Severity minor => block
2015-07-15 23:07 vinvin Reproducibility N/A => sometimes
2015-07-16 02:21 vinvin Changeset attached => Siril / r931
2015-07-16 02:21 vinvin Changeset attached => Siril / r929
2015-07-17 00:48 vinvin Severity block => minor
2015-07-17 08:03 lock42 Note Added: 0000052
2015-07-28 15:02 lock42 Target Version 0.9.0rc2 => 0.9.0
2015-09-11 20:06 vinvin Note Added: 0000113
2015-09-11 20:06 vinvin Status feedback => assigned
2015-09-11 20:06 vinvin Status assigned => confirmed
2015-09-11 20:07 vinvin Priority normal => low
2015-09-11 20:07 vinvin Severity minor => tweak
2015-09-11 20:07 vinvin Resolution reopened => suspended
2015-09-11 20:07 vinvin Product Version 0.9.0rc1 => 0.9.0
2015-09-11 20:07 vinvin Fixed in Version => 0.9.0
2015-09-11 20:07 vinvin Target Version 0.9.0 => 1.0.0
2015-09-11 20:07 vinvin Assigned To vinvin =>
2015-12-14 23:03 vinvin Relationship added related to 0000097
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril
2018-05-18 01:13 vinvin Assigned To => vinvin
2018-05-18 01:13 vinvin Status confirmed => resolved
2018-05-18 01:13 vinvin Resolution suspended => fixed